Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001164KdenliveUser Interfacepublic2009-09-24 13:292010-02-02 10:38
Reporternekkar 
Assigned Toj-b-m 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target VersionFixed in Version0.7.6 
Summary0001164: Kdenlive crashes when closing the DVD wizard and opening it again
DescriptionHow to make kdenlive crash:

1) Open the DVD wizard dialog.
2) At this point you can either complete the wizard or press cancel. I've seen that also pressing cancel we have the crash
3) Re-open the DVD wizard again -> CRASH

This doesn't get you any useful backtrace, even if kdenlive is compiled with debug symbols enabled.
I could reproduce this bug with both kdenlive 0.7.5 official and the development snapshot. The same bug happens in another pc I have, with another linux distro (kubuntu) and 0.7.5 installed.
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0003986)
nekkar (reporter)
2009-09-24 13:43

Note that the bug is still reproducible with development git MLT (0.4.5), even if it seems slightly more difficult to trigger. Sometimes you have to iterate more times over the actions I told you before.
Here is what I got from konsole:

kdenlive(26275) Render::start: ----- MONITOR: "chapter" WAS STOPPED
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id: 0x3805842
X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 78 (X_CreateColormap)
  Resource id: 0xa50cdb0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 55 (X_CreateGC)
  Resource id: 0x3805842
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 2 (X_ChangeWindowAttributes)
  Resource id: 0x3805842
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 2 (X_ChangeWindowAttributes)
  Resource id: 0x3805842
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 38 (X_QueryPointer)
  Resource id: 0x3805842
kdenlive(26275) Render::start: ----- MONITOR: "chapter" REFRESH
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension: 148 (MIT-SHM)
  Minor opcode: 3 (X_ShmPutImage)
  Resource id: 0x3805842
kdenlive(26275)/kio (KDirListerCache) KDirListerCache::listDir: Entry in cache: KUrl("trash:/")
X Error: BadGC (invalid GC parameter) 13
  Extension: 148 (MIT-SHM)
  Minor opcode: 3 (X_ShmPutImage)
  Resource id: 0x3a0000b
X Error: BadGC (invalid GC parameter) 13
  Extension: 148 (MIT-SHM)
  Minor opcode: 3 (X_ShmPutImage)
  Resource id: 0x3a0000b
kdenlive(26275)/kio (KDirListerCache) KDirListerCache::listDir: Entry already in use: KUrl("trash:/")
kdenlive(26275)/kio (KDirListerCache) KDirListerCache::listDir: Entry in cache: KUrl("file:///root/kdenlive" [^])
X Error: BadGC (invalid GC parameter) 13
  Extension: 148 (MIT-SHM)
  Minor opcode: 3 (X_ShmPutImage)
  Resource id: 0x3a0000b
kdenlive: Fatal IO error: client killed
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = kdenlive path = <unknown> pid = 26275
sock_file=/root/.kde4/socket-dhcppc0/kdeinit4__0
Warning: connect() failed: : No such file or directory
KCrash cannot reach kdeinit, launching directly.
(0003987)
nekkar (reporter)
2009-09-24 14:13

After reproducing it several times, I got this bt:

Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 0 (LWP 27549)]

Thread 3 (Thread 0xb29fbb90 (LWP 27558)):
#0 0xb7fa6424 in __kernel_vsyscall ()
#1 0xb724cf22 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
0000002 0xb7f7d3a9 in mlt_consumer_get_frame (this=0x979cfa8) at mlt_consumer.c:498
0000003 0xb7f7d610 in mlt_consumer_rt_frame (this=0x979cfa8) at mlt_consumer.c:896
0000004 0xb4020fca in consumer_thread (arg=0x979cfa8) at consumer_sdl_still.c:556
0000005 0xb724916f in start_thread () from /lib/libpthread.so.0
0000006 0xb6705dce in clone () from /lib/libc.so.6

Thread 2 (Thread 0xb21fab90 (LWP 27559)):
#0 0xb7fa6424 in __kernel_vsyscall ()
#1 0xb724cbf5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
0000002 0xb40206c9 in consumer_thread (arg=0x97a10d8) at consumer_sdl_preview.c:385
0000003 0xb724916f in start_thread () from /lib/libpthread.so.0
0000004 0xb6705dce in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb5bd1920 (LWP 27549)):
[KCrash Handler]
0000005 0xb6a01636 in QObject::parent (this=0x81) at ../../include/QtCore/../../src/corelib/kernel/qobject.h:243
0000006 0xb6a0fd3d in QWidget::parentWidget (this=0x81) at ../../include/QtGui/../../src/gui/kernel/qwidget.h:988
0000007 0xb6a61bef in QWidgetPrivate::close_helper (this=0x9ca1128, mode=QWidgetPrivate::CloseWithEvent) at kernel/qwidget.cpp:7083
0000008 0xb6a61f21 in QWidget::close (this=0x9c1cc70) at kernel/qwidget.cpp:7165
0000009 0x08082558 in MainWindow::slotDvdWizard (this=0x966e3a0, url=@0xbfcbff30, profile=@0xbfcbff2c) at /opt/kde/kdenlive/src/mainwindow.cpp:2675
0000010 0x08096a26 in MainWindow::qt_metacall (this=0x966e3a0, _c=QMetaObject::InvokeMetaMethod, _id=98, _a=0xbfcc003c) at /opt/kde/kdenlive/build/src/cmake_bindir/mainwindow.moc:366
0000011 0xb73c1b12 in QMetaObject::activate (sender=0x99e4dc0, from_signal_index=5, to_signal_index=6, argv=0xbfcc003c) at kernel/qobject.cpp:3117
0000012 0xb73c1d40 in QMetaObject::activate (sender=0x99e4dc0, m=0x82a8740, from_local_signal_index=1, to_local_signal_index=2, argv=0xbfcc003c) at kernel/qobject.cpp:3214
0000013 0xb69fcfca in QAction::triggered (this=0x99e4dc0, _t1=false) at .moc/debug-shared/moc_qaction.cpp:236
0000014 0xb69fecf8 in QAction::activate (this=0x99e4dc0, event=QAction::Trigger) at kernel/qaction.cpp:1160
0000015 0xb6ec1c03 in QMenuPrivate::activateCausedStack (this=0x9a2f6a8, causedStack=@0xbfcc00f0, action=0x99e4dc0, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:967
0000016 0xb6ec63e8 in QMenuPrivate::activateAction (this=0x9a2f6a8, action=0x99e4dc0, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1060
0000017 0xb6ec8113 in QMenu::mouseReleaseEvent (this=0x9a12a50, e=0xbfcc08e4) at widgets/qmenu.cpp:2254
0000018 0xb7ded174 in KMenu::mouseReleaseEvent (this=0x9a12a50, e=0xbfcc08e4) at /opt/kde/kdelibs/kdeui/widgets/kmenu.cpp:456
0000019 0xb6a6629e in QWidget::event (this=0x9a12a50, event=0xbfcc08e4) at kernel/qwidget.cpp:7521
0000020 0xb6ec74b9 in QMenu::event (this=0x9a12a50, e=0xbfcc08e4) at widgets/qmenu.cpp:2353
0000021 0xb6a0524d in QApplicationPrivate::notify_helper (this=0x957eb58, receiver=0x9a12a50, e=0xbfcc08e4) at kernel/qapplication.cpp:4057
0000022 0xb6a05fd0 in QApplication::notify (this=0xbfcc2258, receiver=0x9a12a50, e=0xbfcc08e4) at kernel/qapplication.cpp:3759
0000023 0xb7cfb69d in KApplication::notify (this=0xbfcc2258, receiver=0x9a12a50, event=0xbfcc08e4) at /opt/kde/kdelibs/kdeui/kernel/kapplication.cpp:302
0000024 0xb73ab683 in QCoreApplication::notifyInternal (this=0xbfcc2258, receiver=0x9a12a50, event=0xbfcc08e4) at kernel/qcoreapplication.cpp:606
0000025 0xb6a10f27 in QCoreApplication::sendSpontaneousEvent (receiver=0x9a12a50, event=0xbfcc08e4) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
0000026 0xb6a09fba in QApplicationPrivate::sendMouseEvent (receiver=0x9a12a50, event=0xbfcc08e4, alienWidget=0x0, nativeWidget=0x9a12a50, buttonDown=0xb71f2da0, lastMouseReceiver=@0xb71f2da4)
    at kernel/qapplication.cpp:2925
0000027 0xb6a8730a in QETWidget::translateMouseEvent (this=0x9a12a50, event=0xbfcc1f60) at kernel/qapplication_x11.cpp:4382
0000028 0xb6a886cf in QApplication::x11ProcessEvent (this=0xbfcc2258, event=0xbfcc1f60) at kernel/qapplication_x11.cpp:3444
0000029 0xb6ab3711 in x11EventSourceDispatch (s=0x9581d70, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
0000030 0xb5ec95a1 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
0000031 0xb5eccaeb in ?? () from /usr/lib/libglib-2.0.so.0
0000032 0x09580e38 in ?? ()
0000033 0x00000000 in ?? ()
(0003988)
nekkar (reporter)
2009-09-24 14:21

Removing the "setAttribute(Qt::WA_DeleteOnClose);" in constructor DvdWizard::DvdWizard()
doesn't make it crash anymore, even after lots of testing.

To make kdenlive easily crash, I changed this function to:

void MainWindow::slotDvdWizard(const QString &url, const QString &profile)
{
    for(int i=0; i < 100; i++)
    {
        DvdWizard *w = new DvdWizard(url, profile, this);
        w->exec();
        w->close();
    }
}

Every time you close the dialog, it pops up again, and, be sure, it crashes at the second or third "closing" on my system

I think the problem here is that some threads or whatever is initialized from this dialog, but when you close it, the dialog gets deleted. This causes the other allocated objects to not find their parent (or something like this, just trying to guess...)
(0003993)
nekkar (reporter)
2009-09-24 17:41

Sorry guys, the above code clearly makes it crash for an obvious reason.. We are deleting the dialog two times.. The correct one is this:

void MainWindow::slotDvdWizard(const QString &url, const QString &profile)
{
    for(int i=0; i < 100; i++)
    {
        DvdWizard *w = new DvdWizard(url, profile, this);
        w->exec();
    }
}

It takes a little bit more to reproduce this bug.. you have to close at least 3 or 4 times the dialog (or more). Anyway, this bug remains reproducible and all I said before is still true. Removing the "Qt::WA_DeleteOnClose" doesn't make it crash again anymore.
(0003997)
nekkar (reporter)
2009-09-25 17:27
edited on: 2009-09-25 17:28

Removing the:
  m_monitor->start(); (in constructor DvdWizardChapters::DvdWizardChapters() )

doesn't make it crash anymore. Going a little bit more into the code, in
Render::start(), the line
  if (m_mltConsumer->start() == -1)
if commented out doesn't make kdenlive crash anymore.

Seems like a problem with the integration between MLT and kdenlive. I don't have the time to look further into this, nor the knowledge of these two technologies, but I hope that this could be of any help for you.
BTW, I can reproduce this bug without troubles, so feel free to ask me to test any patch..

(0003999)
j-b-m (administrator)
2009-09-25 20:10

Thanks for the investigation. After checking your comments, I realized there are several issues with the integration of the DVD Wizard monitor. I Will have a look at it in the next 24 hours & let you know when things are (hopefully) fixed
(0004001)
j-b-m (administrator)
2009-09-25 23:06

Ok, changes committed in svn revision 3929, please update & tell me if you still get the crash (now the monitor is only created when you go to the 2nd page of the wizard, so you may need to go to that page to reproduce the crash).
(0004004)
nekkar (reporter)
2009-09-26 12:30
edited on: 2009-09-26 12:36

Thank you! I don't get the crash there anymore.. Just realized that after having opened the second page of the DVD wizard, if then I press cancel all is ok. But If now I click on the project monitor, kdenlive crashes..

Here is the backtrace.. Even if not so useful..

Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 0 (LWP 7700)]

Thread 5 (Thread 0xb21fab90 (LWP 7710)):
#0 0xb7fa6424 in __kernel_vsyscall ()
#1 0xb724cf22 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
0000002 0xb7f7d161 in mlt_consumer_put_frame (this=0xa0e7580, frame=0xa412580) at mlt_consumer.c:452
0000003 0xb40207d2 in consumer_thread (arg=0x9f8aaa0) at consumer_sdl_preview.c:338
0000004 0xb724916f in start_thread () from /lib/libpthread.so.0
0000005 0xb6705dce in clone () from /lib/libc.so.6

Thread 4 (Thread 0xb29fbb90 (LWP 7718)):
#0 0xb7fa6424 in __kernel_vsyscall ()
#1 0xb7250306 in nanosleep () from /lib/libpthread.so.0
0000002 0xb401cf78 in consumer_thread (arg=0xa0e7580) at consumer_sdl.c:754
0000003 0xb724916f in start_thread () from /lib/libpthread.so.0
0000004 0xb6705dce in clone () from /lib/libc.so.6

Thread 3 (Thread 0xaf845b90 (LWP 7719)):
#0 0xb7fa6424 in __kernel_vsyscall ()
#1 0xb724cbf5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
0000002 0xb7f7d974 in consumer_read_ahead_thread (arg=0xa0e7580) at mlt_consumer.c:656
0000003 0xb724916f in start_thread () from /lib/libpthread.so.0
0000004 0xb6705dce in clone () from /lib/libc.so.6

Thread 2 (Thread 0xb0046b90 (LWP 7720)):
[KCrash Handler]
0000005 0xb352e9c2 in SDL_FillRect () from /usr/lib/libSDL-1.2.so.0
0000006 0xb401dee9 in video_thread (arg=0xa0e7580) at consumer_sdl.c:508
0000007 0xb724916f in start_thread () from /lib/libpthread.so.0
0000008 0xb6705dce in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb5bd1920 (LWP 7700)):
#0 0xb7fa6424 in __kernel_vsyscall ()
#1 0xb66fc6c7 in poll () from /lib/libc.so.6
0000002 0xb5d3e2ab in ?? () from /usr/lib/libxcb.so.1
0000003 0xbffc2194 in ?? ()
0000004 0x00000001 in ?? ()
0000005 0xffffffff in ?? ()
0000006 0x0a3d2e40 in ?? ()
0000007 0xb6775ff4 in ?? () from /lib/libc.so.6
0000008 0x00000002 in ?? ()
0000009 0xbffc2194 in ?? ()
0000010 0xb724a4ee in pthread_mutex_lock () from /lib/libpthread.so.0
0000011 0xb5d3e8de in ?? () from /usr/lib/libxcb.so.1
0000012 0x09d701d8 in ?? ()
0000013 0x09d7126c in ?? ()
0000014 0xbffc2224 in ?? ()
0000015 0xbffc2228 in ?? ()
0000016 0x0a427144 in ?? ()
0000017 0xb7467ff4 in ?? () from /opt/kde/qt4/lib/libQtCore.so.4
0000018 0x09d7126c in ?? ()
0000019 0xb5d4eff4 in ?? () from /usr/lib/libxcb.so.1
0000020 0x09d701d8 in ?? ()
0000021 0x00000000 in ?? ()

(0004005)
nekkar (reporter)
2009-09-26 12:45
edited on: 2009-09-26 13:49

Wait a moment... After some more testing, it crashed even in the DVD wizard.. It's not so easy to reproduce though..
The strange thing is that I can't reproduce this anymore.. Maybe this was caused by me clicking two times.. The first on the close button and the second one on the monitor? Not sure at this point.. Isn't there an easy way to make some kind of a test? Now that all this was moved at the second page is not so easy to test it. Is there a way to get in contact with you via IRC (#kdenlive channel, for example?)

Backtrace follows..


Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 0 (LWP 7781)]

Thread 5 (Thread 0xb2ccab90 (LWP 7790)):
#0 0xb7fe5424 in __kernel_vsyscall ()
#1 0xb728bf22 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
0000002 0xb7fbc3a9 in mlt_consumer_get_frame (this=0x8d35890) at mlt_consumer.c:498
0000003 0xb7fbc610 in mlt_consumer_rt_frame (this=0x8d35890) at mlt_consumer.c:896
0000004 0xb42f4fca in consumer_thread (arg=0x8d35890) at consumer_sdl_still.c:556
0000005 0xb728816f in start_thread () from /lib/libpthread.so.0
0000006 0xb6744dce in clone () from /lib/libc.so.6

Thread 4 (Thread 0xb24c9b90 (LWP 7791)):
#0 0xb7fe5424 in __kernel_vsyscall ()
#1 0xb728bbf5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
0000002 0xb42f46c9 in consumer_thread (arg=0x8c8fd58) at consumer_sdl_preview.c:385
0000003 0xb728816f in start_thread () from /lib/libpthread.so.0
0000004 0xb6744dce in clone () from /lib/libc.so.6

Thread 3 (Thread 0xaf899b90 (LWP 7836)):
[KCrash Handler]
0000005 0xb3802b78 in SDL_FillRect () from /usr/lib/libSDL-1.2.so.0
0000006 0xb3805c1c in SDL_SetVideoMode () from /usr/lib/libSDL-1.2.so.0
0000007 0xb42f52c6 in consumer_thread (arg=0x9338550) at consumer_sdl_still.c:439
0000008 0xb728816f in start_thread () from /lib/libpthread.so.0
0000009 0xb6744dce in clone () from /lib/libc.so.6

Thread 2 (Thread 0xb009ab90 (LWP 7837)):
#0 0xb7fe5424 in __kernel_vsyscall ()
#1 0xb72886f7 in pthread_join () from /lib/libpthread.so.0
0000002 0xb42f4ba0 in consumer_stop (parent=0x9338550) at consumer_sdl_still.c:213
0000003 0xb7fbbe58 in mlt_consumer_stop (this=0x9338550) at mlt_consumer.c:941
0000004 0xb42f446f in consumer_thread (arg=0x9300990) at consumer_sdl_preview.c:402
0000005 0xb728816f in start_thread () from /lib/libpthread.so.0
0000006 0xb6744dce in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb5c10920 (LWP 7781)):
#0 0xb7fe5424 in __kernel_vsyscall ()
#1 0xb72886f7 in pthread_join () from /lib/libpthread.so.0
0000002 0xb42f3d6d in consumer_stop (parent=0x9300990) at consumer_sdl_preview.c:244
0000003 0xb7fbbe58 in mlt_consumer_stop (this=0x9300990) at mlt_consumer.c:941
0000004 0xb7f926bc in Mlt::Consumer::stop () from /usr/lib/libmlt++.so.3
0000005 0x080cde4a in Render::setSceneList (this=0x92e82b8, playlist=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 17380}, alloc = 0, size = 0, data = 0x82a867a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 124}, alloc = 0, size = 0, data = 0xb74a8c2e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xbfcfabc0, static codecForCStrings = 0x0}, position=0) at /opt/kde/kdenlive/src/renderer.cpp:921
0000006 0x080cf2af in Render::setSceneList (this=0x92e82b8, list={<QDomNode> = {impl = 0xbfcfac14}, <No data fields>}, position=0) at /opt/kde/kdenlive/src/renderer.cpp:902
0000007 0x080b4e8f in Monitor::slotOpenFile (this=0x9195c48, file=@0xbfcfac48) at /opt/kde/kdenlive/src/monitor.cpp:776
0000008 0x082459f3 in DvdWizardChapters::slotUpdateChaptersList (this=0x9042510) at /opt/kde/kdenlive/src/dvdwizardchapters.cpp:71
0000009 0x0807977a in DvdWizardChapters::qt_metacall (this=0x9042510, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbfcfad7c) at /opt/kde/kdenlive/build/src/cmake_bindir/moc_dvdwizardchapters.cpp:71
0000010 0xb7400b12 in QMetaObject::activate (sender=0x92c7228, from_signal_index=32, to_signal_index=32, argv=0xbfcfad7c) at kernel/qobject.cpp:3117
0000011 0xb7401ef1 in QMetaObject::activate (sender=0x92c7228, m=0xb7216398, local_signal_index=5, argv=0xbfcfad7c) at kernel/qobject.cpp:3194
0000012 0xb6e7e23c in QComboBox::currentIndexChanged (this=0x92c7228, _t1=0) at .moc/debug-shared/moc_qcombobox.cpp:297
0000013 0xb6e7f6ca in QComboBoxPrivate::_q_emitCurrentIndexChanged (this=0x9343c80, index=@0x9244000) at widgets/qcombobox.cpp:1205
0000014 0xb6e80312 in QComboBoxPrivate::setCurrentIndex (this=0x9343c80, mi=@0xbfcfae28) at widgets/qcombobox.cpp:1943
0000015 0xb6e803a4 in QComboBox::setCurrentIndex (this=0x92c7228, index=0) at widgets/qcombobox.cpp:1926
0000016 0xb6e84e4c in QComboBoxPrivate::_q_rowsInserted (this=0x9343c80, parent=@0xbfcfb028, start=0, end=0) at widgets/qcombobox.cpp:1010
0000017 0xb6e86df6 in QComboBox::qt_metacall (this=0x92c7228, _c=QMetaObject::InvokeMetaMethod, _id=19, _a=0xbfcfaff4) at .moc/debug-shared/moc_qcombobox.cpp:193
0000018 0xb7dfd457 in KComboBox::qt_metacall (this=0x92c7228, _c=QMetaObject::InvokeMetaMethod, _id=46, _a=0xbfcfaff4) at /opt/kde/kdelibs_build/kdeui/kcombobox.moc:100
0000019 0xb7400b12 in QMetaObject::activate (sender=0x92e4fd8, from_signal_index=9, to_signal_index=9, argv=0xbfcfaff4) at kernel/qobject.cpp:3117
0000020 0xb7401ef1 in QMetaObject::activate (sender=0x92e4fd8, m=0xb74a64f8, local_signal_index=5, argv=0xbfcfaff4) at kernel/qobject.cpp:3194
0000021 0xb743de4e in QAbstractItemModel::rowsInserted (this=0x92e4fd8, _t1=@0xbfcfb028, _t2=0, _t3=0) at .moc/debug-shared/moc_qabstractitemmodel.cpp:159
0000022 0xb73e113e in QAbstractItemModel::endInsertRows (this=0x92e4fd8) at kernel/qabstractitemmodel.cpp:2081
0000023 0xb708c364 in QStandardItemModelPrivate::rowsInserted (this=0x93b5920, parent=0x91344c8, row=0, count=1) at itemviews/qstandarditemmodel.cpp:559
0000024 0xb708d71d in QStandardItemPrivate::insertRows (this=0x92f0da0, row=0, count=1, items=@0xbfcfb150) at itemviews/qstandarditemmodel.cpp:434
0000025 0xb708dda7 in QStandardItem::insertRow (this=0x91344c8, row=0, items=@0xbfcfb150) at itemviews/qstandarditemmodel.cpp:1460
0000026 0xb708dde3 in QStandardItemModel::insertRow (this=0x92e4fd8, row=0, items=@0xbfcfb150) at itemviews/qstandarditemmodel.cpp:2492
0000027 0xb6e8ab27 in QStandardItemModel::insertRow (this=0x92e4fd8, arow=0, aitem=0x934b7e8) at ../../include/QtGui/../../src/gui/itemviews/qstandarditemmodel.h:438
0000028 0xb6e85374 in QComboBox::insertItem (this=0x92c7228, index=0, icon=@0xbfcfb224, text=@0x924322c, userData=@0xbfcfb294) at widgets/qcombobox.cpp:2036
0000029 0x080a094e in QComboBox::insertItem (this=0x92c7228, aindex=0, atext=@0x924322c, auserData=@0xbfcfb294) at /opt/kde/qt4/include/QtGui/qcombobox.h:330
0000030 0x080a098c in QComboBox::addItem (this=0x92c7228, atext=@0x924322c, auserData=@0xbfcfb294) at /opt/kde/qt4/include/QtGui/qcombobox.h:323
0000031 0x08245e3e in DvdWizardChapters::setVobFiles (this=0x9042510, isPal=true, isWide=false, movies=
          {<QList<QString>> = {{p = {static shared_null = {ref = {_q_value = 24575}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0xbfcfb308}, d = 0xbfcfb308}}, <No data fields>}, durations=
          {<QList<QString>> = {{p = {static shared_null = {ref = {_q_value = 24575}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0xbfcfb304}, d = 0xbfcfb304}}, <No data fields>},
    chapters=
          {<QList<QString>> = {{p = {static shared_null = {ref = {_q_value = 24575}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0xbfcfb300}, d = 0xbfcfb300}}, <No data fields>})
    at /opt/kde/kdenlive/src/dvdwizardchapters.cpp:164
0000032 0x0823ad69 in DvdWizard::slotPageChanged (this=0xbfcfd680, page=1) at /opt/kde/kdenlive/src/dvdwizard.cpp:142
0000033 0x0807b5d1 in DvdWizard::qt_metacall (this=0xbfcfd680, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbfcfb41c) at /opt/kde/kdenlive/build/src/cmake_bindir/moc_dvdwizard.cpp:84
0000034 0xb7400b12 in QMetaObject::activate (sender=0xbfcfd680, from_signal_index=36, to_signal_index=36, argv=0xbfcfb41c) at kernel/qobject.cpp:3117
0000035 0xb7401ef1 in QMetaObject::activate (sender=0xbfcfd680, m=0x82a83c0, local_signal_index=0, argv=0xbfcfb41c) at kernel/qobject.cpp:3194
0000036 0xb6fdabba in QWizard::currentIdChanged (this=0xbfcfd680, _t1=1) at .moc/debug-shared/moc_qwizard.cpp:209
0000037 0xb6fe2b29 in QWizardPrivate::switchToPage (this=0x8c9ce38, newId=1, direction=QWizardPrivate::Forward) at dialogs/qwizard.cpp:830
0000038 0xb6fe2d04 in QWizard::next (this=0xbfcfd680) at dialogs/qwizard.cpp:2950
0000039 0xb6fe2e35 in QWizard::qt_metacall (this=0xbfcfd680, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0xbfcfb62c) at .moc/debug-shared/moc_qwizard.cpp:158
0000040 0x0807b582 in DvdWizard::qt_metacall (this=0xbfcfd680, _c=QMetaObject::InvokeMetaMethod, _id=40, _a=0xbfcfb62c) at /opt/kde/kdenlive/build/src/cmake_bindir/moc_dvdwizard.cpp:79
0000041 0xb7400b12 in QMetaObject::activate (sender=0x91d91b0, from_signal_index=29, to_signal_index=30, argv=0xbfcfb62c) at kernel/qobject.cpp:3117
0000042 0xb7400d40 in QMetaObject::activate (sender=0x91d91b0, m=0xb72231e4, from_local_signal_index=2, to_local_signal_index=3, argv=0xbfcfb62c) at kernel/qobject.cpp:3214
0000043 0xb712bcb4 in QAbstractButton::clicked (this=0x91d91b0, _t1=false) at .moc/debug-shared/moc_qabstractbutton.cpp:200
0000044 0xb6e63302 in QAbstractButtonPrivate::emitClicked (this=0x92d8f28) at widgets/qabstractbutton.cpp:543
0000045 0xb6e64709 in QAbstractButtonPrivate::click (this=0x92d8f28) at widgets/qabstractbutton.cpp:536
0000046 0xb6e649bf in QAbstractButton::mouseReleaseEvent (this=0x91d91b0, e=0xbfcfbe04) at widgets/qabstractbutton.cpp:1115
0000047 0xb6aa529e in QWidget::event (this=0x91d91b0, event=0xbfcfbe04) at kernel/qwidget.cpp:7521
0000048 0xb6e6329b in QAbstractButton::event (this=0x91d91b0, e=0xbfcfbe04) at widgets/qabstractbutton.cpp:1077
0000049 0xb6f169f8 in QPushButton::event (this=0x91d91b0, e=0xbfcfbe04) at widgets/qpushbutton.cpp:662
0000050 0xb6a4424d in QApplicationPrivate::notify_helper (this=0x8b8bb58, receiver=0x91d91b0, e=0xbfcfbe04) at kernel/qapplication.cpp:4057
0000051 0xb6a44fd0 in QApplication::notify (this=0xbfcffa98, receiver=0x91d91b0, e=0xbfcfbe04) at kernel/qapplication.cpp:3759
0000052 0xb7d3a69d in KApplication::notify (this=0xbfcffa98, receiver=0x91d91b0, event=0xbfcfbe04) at /opt/kde/kdelibs/kdeui/kernel/kapplication.cpp:302
0000053 0xb73ea683 in QCoreApplication::notifyInternal (this=0xbfcffa98, receiver=0x91d91b0, event=0xbfcfbe04) at kernel/qcoreapplication.cpp:606
0000054 0xb6a4ff27 in QCoreApplication::sendSpontaneousEvent (receiver=0x91d91b0, event=0xbfcfbe04) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
0000055 0xb6a48fba in QApplicationPrivate::sendMouseEvent (receiver=0x91d91b0, event=0xbfcfbe04, alienWidget=0x91d91b0, nativeWidget=0xbfcfd680, buttonDown=0xb7231da0, lastMouseReceiver=@0xb7231da4)
    at kernel/qapplication.cpp:2925
0000056 0xb6ac65ae in QETWidget::translateMouseEvent (this=0xbfcfd680, event=0xbfcfd3c0) at kernel/qapplication_x11.cpp:4448
0000057 0xb6ac76cf in QApplication::x11ProcessEvent (this=0xbfcffa98, event=0xbfcfd3c0) at kernel/qapplication_x11.cpp:3444
#58 0xb6af2711 in x11EventSourceDispatch (s=0x8b8ed70, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
0000059 0xb5f085a1 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
0000060 0xb5f0baeb in ?? () from /usr/lib/libglib-2.0.so.0
0000061 0x08b8de38 in ?? ()
0000062 0x00000000 in ?? ()

(0004007)
j-b-m (administrator)
2009-09-26 15:01

I just fixed at least one monitor related crash in my last commit (svn rev. 3934)
(0004009)
nekkar (reporter)
2009-09-26 17:32

Great job man! Seems all ok now :) Many thanks

- Issue History
Date Modified Username Field Change
2009-09-24 13:29 nekkar New Issue
2009-09-24 13:29 nekkar Build/Install Method => Manual build from SVN
2009-09-24 13:43 nekkar Note Added: 0003986
2009-09-24 14:13 nekkar Note Added: 0003987
2009-09-24 14:21 nekkar Note Added: 0003988
2009-09-24 17:41 nekkar Note Added: 0003993
2009-09-25 17:27 nekkar Note Added: 0003997
2009-09-25 17:28 nekkar Note Edited: 0003997 View Revisions
2009-09-25 20:10 j-b-m Note Added: 0003999
2009-09-25 20:10 j-b-m Assigned To => j-b-m
2009-09-25 20:10 j-b-m Status new => feedback
2009-09-25 23:06 j-b-m Note Added: 0004001
2009-09-26 12:30 nekkar Note Added: 0004004
2009-09-26 12:36 nekkar Note Edited: 0004004 View Revisions
2009-09-26 12:45 nekkar Note Added: 0004005
2009-09-26 13:48 nekkar Note Edited: 0004005 View Revisions
2009-09-26 13:49 nekkar Note Edited: 0004005 View Revisions
2009-09-26 15:01 j-b-m Note Added: 0004007
2009-09-26 17:32 nekkar Note Added: 0004009
2009-09-28 12:02 j-b-m Status feedback => resolved
2009-09-28 12:02 j-b-m Fixed in Version => Recent git
2009-09-28 12:02 j-b-m Resolution open => fixed
2009-10-08 20:20 j-b-m Fixed in Version Recent git => 0.7.6
2010-02-02 10:35 j-b-m Fixed in Version 0.7.6 => 0.7.7
2010-02-02 10:37 j-b-m Fixed in Version 0.7.7 => 0.7.6
2010-02-02 10:38 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker